Announcement

Collapse

Contacting HomeSeer This Week

HomeSeer is open and operational this week. All orders are being processed and shipped as usual. However, some staff are working from home. If you need to contact HomeSeer for support or customer service, please use our Email or Chat options. https://homeseer.com/contact-us/
See more
See less

HS2.0 compatibility

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • HS2.0 compatibility

    Hi Bryan,
    Will you be updating the plugin for HS2.0? Seems mostly functional, but a lot of launch errors due to HS2.0 changes. If you need testing, let me know.
    Thanx
    David

  • #2
    It was working fine under HS 2 until the last release. There are a couple of errors appearing in the log at launch now. It will take a while to get that fixed as I lost a hard drive on my Dev/HS2 testing machine. I may have also lost the source code for the last update but I haven't gotten that far yet in restoring from backup to find out.


    I'm holding my breath here a little
    Bryan
    (Config is in my profile)

    Comment


    • #3
      Bryan,

      Any progress on an update for HS2? This plug-in is probably the single most important capability that is holding me back from implementing HS2. There are a list of other minor issues, but I use this plug-in constantly, and don't want to be without it.

      Bill

      Comment


      • #4
        I got everything restored - believe it or not but I recovered all the source I thought I'd lost (whew).

        I'm have a real challange getting HS2 to work since I've been without it for a month. It tells me that it can't register the activeX components for the plugins. I especially need the cm19a plugin pick up all my motion sensors - I can get along without the ninja part but ....

        My plugin is recognized but I have to change the getdevice to enumerations. I also get an error about connecting to the control - don't know what that's about yet? I'll work on over the next few days and see what happens.
        Bryan
        (Config is in my profile)

        Comment


        • #5
          If you need a beta tester, I'd be happy to help. At the moment I am back on HS1.7, but might go back to HS2 if this plug-in starts working. These are the messages I got when I tried it (sounds similar to what you said).

          7/25/2005 9:20:34 PM ~!~CaptureUtility Debug L2~!~Form_Load - form loaded - Init value is False
          7/25/2005 9:20:34 PM ~!~CaptureUtility Info~!~CaptureUtility Version: 3.1.7 - Retrieving info from capture card
          7/25/2005 9:20:34 PM ~!~CaptureUtility Error~!~An unexpected error occured in the GetVideoInfo(170) function/subroutine: [1000 - The control must be connected!]
          7/25/2005 9:20:34 PM ~!~CaptureUtility Debug L2~!~Entered Class terminate
          7/25/2005 9:20:35 PM ~!~Hauppauge Capture Error~!~An unexpected error occured in the InitHW() function/subroutine: [9 - Subscript out of range]

          Bill

          Comment


          • #6
            Updated to HS2

            Bryan,

            I have just taken the plunge to HS2 also. I don't have many plugins so thought I'd jump straight in. I would also be willing to help with any beta testing for your updated plugin as I was using 3.1.5 on HS 1.7.7 and it was working great.

            smoothtlk - how did you get the Bryans plugin installed on HS 2. It doesn't show on the updater and I cannot see the updater.exe on HS2 directory to run manually from the zipfile

            Comment


            • #7
              I have 3.107 installed but I am not using it presently.
              I probably had installed it using the HS1 Updater in the private beta.
              I haven't tried the HS1 Updater for a while, but here is how it was used:

              HS1 and HS2 is installed in seperate directories. All plugins are unregistered in HS1 and registered in HS2. Rick Tinker posted some scripts to do this easily.

              The Updater.exe file is copied from HS1 to HS2 Homeseer directory. Run it by double click.

              This should open the old Updater.

              Comment


              • #8
                Any news on the plugin? This is my last major plugin before switching over to HS 2

                Jim

                Comment


                • #9
                  I haven't got the GetDevice warnings fixed yet, but try this update. Unzip this into the bin\HauppaugeCapture folder and register it. This fixes the problem with the "Control must be connected" error
                  Attached Files
                  Bryan
                  (Config is in my profile)

                  Comment


                  • #10
                    Sorry Bryan. I won't be able to try your updated plugin yet. My HS 2 PC is very poorly. The whole PC locks up totally every few hours and so have stripped my HS config back to a minimum in an attempt to identify the problem. Others have had HS2 running for days with lots of events, devices and plugins so assume it's something particular to my setup.

                    I will try it as soon as I have confidence in my HS2 system.

                    Thanks.

                    Comment


                    • #11
                      Setup file for HS2

                      Bryan,

                      OK. I'm now fairly happy with my HS2 setup. I had to reinstall my OS, HS, everything but as long as I don't use .NET scripts, I'm ok.

                      However, as a result of the reload I have lost the ability to install the Hauppauge plugin via the updater, as it does not show on the list of plugins using the HS2 updater.

                      Do you have any installation instructions plus the installation files for HS2? I still have the unlock code from HS1 - will this be good for HS2?

                      Regards,
                      John

                      Comment


                      • #12
                        Hi Bryan,
                        Long time!
                        Any idea when you can get the bandwidth to finish the Hauppauge Capture plugin for HS2.0 compatibility?
                        I think this is the last 2.0 change left for my system!

                        thanx as always.

                        Comment


                        • #13
                          I'm also available to test on HS2

                          I put HS2 up on a seperate machine so I have the ability to test on it.

                          Still way too many problems for me to switch over from HS 1 but I do have it available.

                          This is also a MAJOR requirement for my switch to HS2. Great plugin......

                          Comment


                          • #14
                            Has anybody installed the current Hauppauge plugin on a HS2 system, other than upgrading HS2 over the top of HS1? If so, how did you do it? Now I have my HS system back up and running I'm keen to get my Hauppauge Camera captures going again.

                            Thanks.

                            Comment


                            • #15
                              JimBob,
                              I have installed Hauppauge to a HS2 system. I am doing some testing with Bryan on some HS2 updates that are looking great so far. I suspect he will be posting soon. I am thinking it will be in the HS2 Updater.

                              Comment

                              Working...
                              X